org.eclipse.lyo.client.oslc.resources

## Class TestPlan

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.model.AbstractResource
  - - org.eclipse.lyo.client.oslc.resources.QmResource
    - - org.eclipse.lyo.client.oslc.resources.TestPlan

- All Implemented Interfaces:
    org.eclipse.lyo.oslc4j.core.model.IExtendedResource, org.eclipse.lyo.oslc4j.core.model.IResource

      @OslcResourceShape(title="Quality Management Resource Shape",
                         describes="http://open-services.net/ns/qm#TestPlan")
      @OslcNamespace(value="http://open-services.net/ns/qm#")
      public final class TestPlan
      extends QmResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestPlan()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addContributor(URI contributor)`
    `void` | `addCreator(URI creator)`
    `void` | `addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)`
    `void` | `addSubject(String subject)`
    `void` | `addUsesTestCase(org.eclipse.lyo.oslc4j.core.model.Link testcase)`
    `void` | `addValidatesRequirementCollection(org.eclipse.lyo.oslc4j.core.model.Link requirementCollection)`
    `URI[]` | `getContributors()`
    `URI[]` | `getCreators()`
    `String` | `getDescription()`
    `protected URI` | `getRdfType()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getRelatedChangeRequests()`
    `String[]` | `getSubjects()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getUsesTestCases()`
    `org.eclipse.lyo.oslc4j.core.model.Link[]` | `getValidatesRequirementCollections()`
    `void` | `setContributors(URI[] contributors)`
    `void` | `setCreators(URI[] creators)`
    `void` | `setDescription(String description)`
    `void` | `setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)`
    `void` | `setSubjects(String[] subjects)`
    `void` | `setUsesTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] usesTestCases)`
    `void` | `setValidatesRequirementCollections(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirementCollections)`

    - ### Methods inherited from class org.eclipse.lyo.client.oslc.resources.QmResource

      `addRdfType, getCreated, getIdentifier, getInstanceShape, getModified, getRdfTypes, getServiceProvider, getTitle, setCreated, setIdentifier, setInstanceShape, setModified, setRdfTypes, setServiceProvider, setTitle`

    - ### Methods inherited from class org.eclipse.lyo.oslc4j.core.model.AbstractResource

      `addType, getAbout, getExtendedProperties, getTypes, setAbout, setExtendedProperties, setTypes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestPlan

          public TestPlan()

  - ### Method Detail

    - #### getRdfType

          protected URI getRdfType()

      Specified by:
        `getRdfType` in class `QmResource`

    - #### addContributor

          public void addContributor(URI contributor)

    - #### addCreator

          public void addCreator(URI creator)

    - #### addRelatedChangeRequest

          public void addRelatedChangeRequest(org.eclipse.lyo.oslc4j.core.model.Link relatedChangeRequest)

    - #### addSubject

          public void addSubject(String subject)

    - #### addUsesTestCase

          public void addUsesTestCase(org.eclipse.lyo.oslc4j.core.model.Link testcase)

    - #### addValidatesRequirementCollection

          public void addValidatesRequirementCollection(org.eclipse.lyo.oslc4j.core.model.Link requirementCollection)

    - #### getContributors

          @OslcDescription(value="The person(s) who are responsible for the work needed to complete the change request.")
          @OslcName(value="contributor")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/contributor")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Contributors")
          public URI[] getContributors()

    - #### getCreators

          @OslcDescription(value="Creator or creators of resource.")
          @OslcName(value="creator")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/creator")
          @OslcRange(value="http://xmlns.com/foaf/0.1/Person")
          @OslcTitle(value="Creators")
          public URI[] getCreators()

    - #### getDescription

          @OslcDescription(value="Descriptive text (reference: Dublin Core) about resource represented as rich text in XHTML content.")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/description")
          @OslcTitle(value="Description")
          @OslcValueType(value=XMLLiteral)
          public String getDescription()

    - #### getRelatedChangeRequests

          @OslcDescription(value="A related change request.")
          @OslcName(value="relatedChangeRequest")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#relatedChangeRequest")
          @OslcRange(value="http://open-services.net/ns/cm#ChangeRequest")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Related Change Requests")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getRelatedChangeRequests()

    - #### getSubjects

          @OslcDescription(value="Tag or keyword for a resource. Each occurrence of a dcterms:subject property denotes an additional tag for the resource.")
          @OslcName(value="subject")
          @OslcPropertyDefinition(value="http://purl.org/dc/terms/subject")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Subjects")
          public String[] getSubjects()

    - #### getUsesTestCases

          @OslcDescription(value="Test Case used by the Test Plan.")
          @OslcName(value="usesTestCase")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#usesTestCase")
          @OslcRange(value="http://open-services.net/ns/qm#TestCase")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Uses Test Case")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getUsesTestCases()

    - #### getValidatesRequirementCollections

          @OslcDescription(value="Requirement Collection that is validated by the Test Plan.")
          @OslcName(value="validatesRequirementCollection")
          @OslcPropertyDefinition(value="http://open-services.net/ns/qm#validatesRequirementCollection")
          @OslcRange(value="http://open-services.net/ns/rm#RequirementCollection")
          @OslcReadOnly(value=false)
          @OslcTitle(value="Validates Requirement Collection")
          public org.eclipse.lyo.oslc4j.core.model.Link[] getValidatesRequirementCollections()

    - #### setContributors

          public void setContributors(URI[] contributors)

    - #### setCreators

          public void setCreators(URI[] creators)

    - #### setDescription

          public void setDescription(String description)

    - #### setRelatedChangeRequests

          public void setRelatedChangeRequests(org.eclipse.lyo.oslc4j.core.model.Link[] relatedChangeRequests)

    - #### setSubjects

          public void setSubjects(String[] subjects)

    - #### setUsesTestCases

          public void setUsesTestCases(org.eclipse.lyo.oslc4j.core.model.Link[] usesTestCases)

    - #### setValidatesRequirementCollections

          public void setValidatesRequirementCollections(org.eclipse.lyo.oslc4j.core.model.Link[] validatesRequirementCollections)

Copyright © 2016. All Rights Reserved.